Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.samples.config.factories
Class FactoryConfigSample.SampleSocketFactory

    java.lang.Object
      javax.net.SocketFactory
          org.jboss.remoting.samples.config.factories.FactoryConfigSample.SampleSocketFactory

Enclosing class:
  FactoryConfigSample

    public static class FactoryConfigSample.SampleSocketFactory

extends javax.net.SocketFactory

Constructor Summary
`FactoryConfigSample.SampleSocketFactory()`

Method Summary
`java.net.Socket` | `createSocket(java.net.InetAddress arg0, int arg1)`
`java.net.Socket` | `createSocket(java.net.InetAddress arg0, int arg1, java.net.InetAddress arg2, int arg3)`
`java.net.Socket` | `createSocket(java.lang.String arg0, int arg1)`
`java.net.Socket` | `createSocket(java.lang.String arg0, int arg1, java.net.InetAddress arg2, int arg3)`

Methods inherited from class javax.net.SocketFactory
`createSocket, getDefault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FactoryConfigSample.SampleSocketFactory

    public FactoryConfigSample.SampleSocketFactory()

Method Detail

### createSocket

    public java.net.Socket createSocket(java.lang.String arg0,
                                        int arg1)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### createSocket

    public java.net.Socket createSocket(java.lang.String arg0,
                                        int arg1,
                                        java.net.InetAddress arg2,
                                        int arg3)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### createSocket

    public java.net.Socket createSocket(java.net.InetAddress arg0,
                                        int arg1)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`

### createSocket

    public java.net.Socket createSocket(java.net.InetAddress arg0,
                                        int arg1,
                                        java.net.InetAddress arg2,
                                        int arg3)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.